List Payout Destinations
curl --request GET \
--url https://api.hopnow.io/v1/accounts/{account_id}/beneficiaries/{beneficiary_id}/payout-destinations \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hopnow.io/v1/accounts/{account_id}/beneficiaries/{beneficiary_id}/payout-destinations"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hopnow.io/v1/accounts/{account_id}/beneficiaries/{beneficiary_id}/payout-destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"object": "<string>",
"country": "<string>",
"payout_method": "<string>",
"type": "<string>",
"currency": "<string>",
"status": "<string>",
"is_default": true,
"created": "<string>"
}
],
"page": 123,
"size": 123,
"total": 123,
"pages": 123
}Payout Destinations
List Payout Destinations
Retrieve all payout destinations for a beneficiary
GET
/
v1
/
accounts
/
{account_id}
/
beneficiaries
/
{beneficiary_id}
/
payout-destinations
List Payout Destinations
Path Parameters
string
required
The account’s external ID (starts with
acct_)string
required
The beneficiary’s external ID (starts with
bene_)Query Parameters
array
Filter by status (e.g.,
active, disabled, inactive)string
Filter destinations created on or after this date (ISO 8601 format)
string
Filter destinations created before this date (ISO 8601 format)
integer
default:"1"
Page number (minimum 1)
integer
default:"10"
Items per page (1-100)
Response
array
Array of payout destination objects
Show Payout Destination Fields
Show Payout Destination Fields
integer
Current page number
integer
Items per page
integer
Total number of items
integer
Total number of pages
Response Example
{
"items": [
{
"id": "dest_1234567890abcdef",
"object": "payout_destination",
"country": "US",
"payout_method": "ach",
"type": "bank_account",
"label": null,
"currency": "USD",
"network": null,
"status": "active",
"account_number_last4": "7890",
"is_default": true,
"created": "2024-01-15T10:00:00Z"
}
],
"page": 1,
"size": 10,
"total": 1,
"pages": 1
}
⌘I